#include "xeffectdefref.h"
#include "xeffectdef.h"

XEffectDefRef::XEffectDefRef()
    : XAsset()
    , mHandle(new XEffectDef())
    , mName()
{
    SetName("Effect Definition Reference");
}

XEffectDefRef::~XEffectDefRef()
{
    delete mHandle;
}

void XEffectDefRef::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XEffectDefRef::ParseData
}

void XEffectDefRef::Clear()
{
    delete mHandle;
    mHandle = new XEffectDef();
    mName.Clear();
}
